<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Wed Nov 20 09:59:45 CET 2019 -->
<title>Uses of Class org.openarchives.oai._2.OAIPMHerrorType</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-11-20">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.openarchives.oai._2.OAIPMHerrorType";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class org.openarchives.oai._2.OAIPMHerrorType" class="title">Uses of Class<br>org.openarchives.oai._2.OAIPMHerrorType</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#nl.naturalis.oaipmh.api">nl.naturalis.oaipmh.api</a></th>
<td class="colLast">
<div class="block">Provides an API that OAI repositories can implement to have their data exposed by the Naturalis OAI-PMH server.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#org.openarchives.oai._2">org.openarchives.oai._2</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="nl.naturalis.oaipmh.api">
<!--   -->
</a>
<h3>Uses of <a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a> in <a href="../../../../../nl/naturalis/oaipmh/api/package-summary.html">nl.naturalis.oaipmh.api</a></h3>
<table class="useSummary">
<caption><span>Subclasses of <a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a> in <a href="../../../../../nl/naturalis/oaipmh/api/package-summary.html">nl.naturalis.oaipmh.api</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../../../nl/naturalis/oaipmh/api/BadArgumentError.html" title="class in nl.naturalis.oaipmh.api">BadArgumentError</a></span></code></th>
<td class="colLast">
<div class="block">Convenience class narrowing the JAXB <code>OAIPMHerrorType</code> class to one for BadArgument errors.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../../../nl/naturalis/oaipmh/api/BadResumptionTokenError.html" title="class in nl.naturalis.oaipmh.api">BadResumptionTokenError</a></span></code></th>
<td class="colLast">
<div class="block">Convenience class narrowing the JAXB <code>OAIPMHerrorType</code> class to one for
 BadResumptionToken errors.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../../../nl/naturalis/oaipmh/api/BadVerbError.html" title="class in nl.naturalis.oaipmh.api">BadVerbError</a></span></code></th>
<td class="colLast">
<div class="block">Convenience class narrowing the JAXB <code>OAIPMHerrorType</code> class to one for
 BadVerb errors.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../../../nl/naturalis/oaipmh/api/CannotDisseminateFormatError.html" title="class in nl.naturalis.oaipmh.api">CannotDisseminateFormatError</a></span></code></th>
<td class="colLast">
<div class="block">Convenience class narrowing the JAXB <code>OAIPMHerrorType</code> class to one for CannotDisseminateFormat errors.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../../../nl/naturalis/oaipmh/api/IdDoesNotExistError.html" title="class in nl.naturalis.oaipmh.api">IdDoesNotExistError</a></span></code></th>
<td class="colLast">
<div class="block">Convenience class narrowing the JAXB <code>OAIPMHerrorType</code> class to one for
 IdDoesNotExist errors.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../../../nl/naturalis/oaipmh/api/NoRecordsMatchError.html" title="class in nl.naturalis.oaipmh.api">NoRecordsMatchError</a></span></code></th>
<td class="colLast">
<div class="block">Convenience class narrowing the JAXB <code>OAIPMHerrorType</code> class to one for
 NoRecordsMatch errors.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../../../nl/naturalis/oaipmh/api/NoSetHierarchyError.html" title="class in nl.naturalis.oaipmh.api">NoSetHierarchyError</a></span></code></th>
<td class="colLast">
<div class="block">Convenience class narrowing the JAXB <code>OAIPMHerrorType</code> class to one for
 NoSetHierarchy errors.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../../../../nl/naturalis/oaipmh/api/package-summary.html">nl.naturalis.oaipmh.api</a> that return <a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">OaiException.</span><code><span class="memberNameLink"><a href="../../../../../nl/naturalis/oaipmh/api/OaiException.html#getError()">getError</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the first error captured by this instance.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../../../../nl/naturalis/oaipmh/api/package-summary.html">nl.naturalis.oaipmh.api</a> that return types with arguments of type <a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">OaiException.</span><code><span class="memberNameLink"><a href="../../../../../nl/naturalis/oaipmh/api/OaiException.html#getErrors()">getErrors</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the errors captured by this instance.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">ArgumentValidator.</span><code><span class="memberNameLink"><a href="../../../../../nl/naturalis/oaipmh/api/ArgumentValidator.html#validate(java.util.EnumSet)">validate</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/EnumSet.html?is-external=true" title="class or interface in java.util" class="externalLink">EnumSet</a>&lt;<a href="../../../../../nl/naturalis/oaipmh/api/Argument.html" title="enum in nl.naturalis.oaipmh.api">Argument</a>&gt;&nbsp;arguments)</code></th>
<td class="colLast">
<div class="block">Checks the validity of the provided arguments.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Constructors in <a href="../../../../../nl/naturalis/oaipmh/api/package-summary.html">nl.naturalis.oaipmh.api</a> with parameters of type <a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../../../nl/naturalis/oaipmh/api/OaiException.html#%3Cinit%3E(org.openarchives.oai._2.OAIPMHerrorType)">OaiException</a></span>&#8203;(<a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a>&nbsp;error)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Constructor parameters in <a href="../../../../../nl/naturalis/oaipmh/api/package-summary.html">nl.naturalis.oaipmh.api</a> with type arguments of type <a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../../../nl/naturalis/oaipmh/api/OaiException.html#%3Cinit%3E(java.util.List)">OaiException</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a>&gt;&nbsp;errors)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="org.openarchives.oai._2">
<!--   -->
</a>
<h3>Uses of <a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a> in <a href="../package-summary.html">org.openarchives.oai._2</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">org.openarchives.oai._2</a> that return <a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">ObjectFactory.</span><code><span class="memberNameLink"><a href="../ObjectFactory.html#createOAIPMHerrorType()">createOAIPMHerrorType</a></span>()</code></th>
<td class="colLast">
<div class="block">Create an instance of <a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2"><code>OAIPMHerrorType</code></a></div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">org.openarchives.oai._2</a> that return types with arguments of type <a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">OAIPMHtype.</span><code><span class="memberNameLink"><a href="../OAIPMHtype.html#getError()">getError</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the error property.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../OAIPMHerrorType.html" title="class in org.openarchives.oai._2">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
